-- 基础信息
base_info = {
	group_id = 133220722
}

-- Trigger变量
defs = {
	gadget_prison = 722001,
	duration = 210,
	rampage_time = 40,
	eye_point = 722079
}

-- DEFS_MISCS
local energy_info = {
        [1] = { time = 100, step = {-30,30},points = { 722084, 722085, 722086, 722087, 722088, 722089}},
        --[2] = { time = 180, step = {-1,1},points = {5075,5076,5077,5078,5079,5080}},
}
--这个group对应的图用哪些，这里就填哪些（对应关系请咨询TD）
local disguiseList = {11,20,31}

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
	[722001] = { config_id = 722001, gadget_id = 70800087, pos = { x = -2728.971, y = 207.470, z = -4094.255 }, rot = { x = 0.000, y = 299.643, z = 0.000 }, level = 10, area_id = 11 },
	[722002] = { config_id = 722002, gadget_id = 70800431, pos = { x = -2754.536, y = 207.975, z = -4154.171 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 11 },
	[722003] = { config_id = 722003, gadget_id = 70800431, pos = { x = -2770.719, y = 207.427, z = -4148.675 }, rot = { x = 0.000, y = 20.000, z = 0.000 }, level = 10, area_id = 11 },
	[722004] = { config_id = 722004, gadget_id = 70800431, pos = { x = -2742.929, y = 206.270, z = -4094.302 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 11 },
	[722005] = { config_id = 722005, gadget_id = 70800107, pos = { x = -2774.056, y = 220.000, z = -4112.918 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 11 },
	[722006] = { config_id = 722006, gadget_id = 70800431, pos = { x = -2731.465, y = 207.176, z = -4125.443 }, rot = { x = 0.000, y = 30.000, z = 0.000 }, level = 10, area_id = 11 },
	[722007] = { config_id = 722007, gadget_id = 70800431, pos = { x = -2768.229, y = 205.954, z = -4116.740 }, rot = { x = 0.000, y = 11.000, z = 0.000 }, level = 10, area_id = 11 },
	[722008] = { config_id = 722008, gadget_id = 70800431, pos = { x = -2774.348, y = 206.200, z = -4132.888 }, rot = { x = 0.000, y = 55.000, z = 0.000 }, level = 10, area_id = 11 },
	[722009] = { config_id = 722009, gadget_id = 70800431, pos = { x = -2764.144, y = 206.657, z = -4143.180 }, rot = { x = 0.000, y = 55.000, z = 0.000 }, level = 10, area_id = 11 },
	[722010] = { config_id = 722010, gadget_id = 70800431, pos = { x = -2773.929, y = 207.055, z = -4144.392 }, rot = { x = 0.000, y = 55.000, z = 0.000 }, level = 10, area_id = 11 },
	[722011] = { config_id = 722011, gadget_id = 70800431, pos = { x = -2744.947, y = 206.179, z = -4135.860 }, rot = { x = 0.000, y = 60.000, z = 0.000 }, level = 10, area_id = 11 },
	[722012] = { config_id = 722012, gadget_id = 70800431, pos = { x = -2765.952, y = 207.275, z = -4099.004 }, rot = { x = 0.000, y = 60.000, z = 0.000 }, level = 10, area_id = 11 },
	[722013] = { config_id = 722013, gadget_id = 70800431, pos = { x = -2747.514, y = 207.021, z = -4120.346 }, rot = { x = 0.000, y = 60.000, z = 0.000 }, level = 10, area_id = 11 },
	[722014] = { config_id = 722014, gadget_id = 70800431, pos = { x = -2751.438, y = 207.354, z = -4142.697 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 11 },
	[722015] = { config_id = 722015, gadget_id = 70800431, pos = { x = -2737.895, y = 205.802, z = -4081.338 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 11 },
	[722016] = { config_id = 722016, gadget_id = 70800431, pos = { x = -2781.651, y = 207.625, z = -4115.537 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 11 },
	[722020] = { config_id = 722020, gadget_id = 70800069, pos = { x = -2751.729, y = 205.417, z = -4111.249 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 11 },
	[722022] = { config_id = 722022, gadget_id = 70800069, pos = { x = -2740.722, y = 206.783, z = -4116.625 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 11 },
	[722023] = { config_id = 722023, gadget_id = 70800069, pos = { x = -2770.465, y = 206.010, z = -4120.333 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 11 },
	[722025] = { config_id = 722025, gadget_id = 70800069, pos = { x = -2723.539, y = 206.782, z = -4123.083 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 11 },
	[722026] = { config_id = 722026, gadget_id = 70800069, pos = { x = -2774.489, y = 205.502, z = -4126.333 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 11 },
	[722027] = { config_id = 722027, gadget_id = 70800069, pos = { x = -2758.178, y = 206.002, z = -4101.634 }, rot = { x = 0.000, y = 160.000, z = 0.000 }, level = 10, area_id = 11 },
	[722028] = { config_id = 722028, gadget_id = 70800069, pos = { x = -2770.018, y = 205.888, z = -4109.936 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 11 },
	[722029] = { config_id = 722029, gadget_id = 70800069, pos = { x = -2767.424, y = 205.943, z = -4118.475 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 10, area_id = 11 },
	[722030] = { config_id = 722030, gadget_id = 70800069, pos = { x = -2756.381, y = 205.279, z = -4118.941 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 11 },
	[722031] = { config_id = 722031, gadget_id = 70800069, pos = { x = -2744.418, y = 206.635, z = -4125.362 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 11 },
	[722032] = { config_id = 722032, gadget_id = 70800069, pos = { x = -2762.214, y = 205.983, z = -4107.154 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 11 },
	[722039] = { config_id = 722039, gadget_id = 70800078, pos = { x = -2743.005, y = 207.298, z = -4126.146 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 11 },
	[722040] = { config_id = 722040, gadget_id = 70800078, pos = { x = -2738.910, y = 206.655, z = -4127.630 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 11 },
	[722041] = { config_id = 722041, gadget_id = 70800078, pos = { x = -2739.992, y = 206.794, z = -4114.896 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 11 },
	[722043] = { config_id = 722043, gadget_id = 70800078, pos = { x = -2757.457, y = 205.311, z = -4120.771 }, rot = { x = 0.000, y = 40.000, z = 0.000 }, level = 10, area_id = 11 },
	[722044] = { config_id = 722044, gadget_id = 70800078, pos = { x = -2762.114, y = 206.025, z = -4113.021 }, rot = { x = 0.000, y = 40.000, z = 0.000 }, level = 10, area_id = 11 },
	[722046] = { config_id = 722046, gadget_id = 70800078, pos = { x = -2763.338, y = 205.998, z = -4103.227 }, rot = { x = 0.000, y = 40.000, z = 0.000 }, level = 10, area_id = 11 },
	[722047] = { config_id = 722047, gadget_id = 70800078, pos = { x = -2768.253, y = 206.859, z = -4138.148 }, rot = { x = 0.000, y = 5.000, z = 0.000 }, level = 10, area_id = 11 },
	[722048] = { config_id = 722048, gadget_id = 70800078, pos = { x = -2765.122, y = 207.435, z = -4145.646 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 10, area_id = 11 },
	[722049] = { config_id = 722049, gadget_id = 70800078, pos = { x = -2760.184, y = 207.078, z = -4144.634 }, rot = { x = 0.000, y = 20.000, z = 0.000 }, level = 10, area_id = 11 },
	[722066] = { config_id = 722066, gadget_id = 70800413, pos = { x = -2750.034, y = 210.471, z = -4113.268 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1, area_id = 11 }
}

-- 区域
regions = {
	[722078] = { config_id = 722078, shape = RegionShape.SPHERE, radius = 200, pos = { x = -2759.202, y = 205.210, z = -4136.774 }, area_id = 11 },
	[722079] = { config_id = 722079, shape = RegionShape.SPHERE, radius = 80, pos = { x = -2738.127, y = 199.003, z = -4104.532 }, area_id = 11 }
}

-- 触发器
triggers = {
}

-- 点位
points = {
	-- 场景猎手出生点
	{ config_id = 722080, pos = { x = -2728.438, y = 205.187, z = -4094.474 }, rot = { x = 0.000, y = 245.683, z = 0.000 }, area_id = 11 },
	-- 场景游侠出生点1
	{ config_id = 722081, pos = { x = -2738.839, y = 205.353, z = -4098.186 }, rot = { x = 1.980, y = 223.360, z = 7.509 }, area_id = 11 },
	-- 场景游侠出生点2
	{ config_id = 722082, pos = { x = -2737.187, y = 205.417, z = -4099.799 }, rot = { x = 0.996, y = 229.815, z = 7.330 }, area_id = 11 },
	-- 场景游侠出生点3
	{ config_id = 722083, pos = { x = -2735.383, y = 205.485, z = -4101.293 }, rot = { x = 1.331, y = 227.201, z = 7.277 }, area_id = 11 },
	-- 能量随机点1
	{ config_id = 722084, pos = { x = -2732.312, y = 204.679, z = -4082.660 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 11 },
	-- 能量随机点1
	{ config_id = 722085, pos = { x = -2736.001, y = 208.012, z = -4139.790 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 11 },
	-- 能量随机点1
	{ config_id = 722086, pos = { x = -2751.604, y = 205.928, z = -4137.125 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 11 },
	-- 能量随机点1
	{ config_id = 722087, pos = { x = -2780.100, y = 206.046, z = -4130.752 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 11 },
	-- 能量随机点1
	{ config_id = 722088, pos = { x = -2775.687, y = 207.160, z = -4104.349 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 11 },
	-- 能量随机点1
	{ config_id = 722089, pos = { x = -2732.801, y = 206.591, z = -4107.949 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, area_id = 11 }
}

-- 变量
variables = {
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { 722001 },
		regions = { 722078, 722079 },
		triggers = { },
		rand_weight = 100
	},
	{
		-- suite_id = 2,
		-- description = ,
		monsters = { },
		gadgets = { 722002, 722003, 722004, 722006, 722007, 722008, 722009, 722010, 722011, 722012, 722013, 722014, 722015, 722016, 722020, 722022, 722023, 722025, 722026, 722027, 722028, 722029, 722030, 722031, 722032, 722039, 722040, 722041, 722043, 722044, 722046, 722047, 722048, 722049 },
		regions = { },
		triggers = { },
		rand_weight = 100
	},
	{
		-- suite_id = 3,
		-- description = ,
		monsters = { },
		gadgets = { 722005, 722066 },
		regions = { },
		triggers = { },
		rand_weight = 100
	},
	{
		-- suite_id = 4,
		-- description = ,
		monsters = { },
		gadgets = { },
		regions = { },
		triggers = { },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "V3_3/HideAndSeek_Gallery_V3"
require "V3_3/HideAndSeek_Skill_V3"
